#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	Library to handle UPnP IGD port mapping
Summary(pl.UTF-8):	Biblioteka do obsługi odwzorowywania portów IGD dla UPnP
Name:		gupnp-igd
Version:	1.2.0
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp-igd/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	84371a62238be13896f8a2c08ab573a2
URL:		http://gupnp.org/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel >= 0.10
BuildRequires:	gssdp-devel >= 1.2.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.10}
BuildRequires:	gupnp-devel >= 1.2.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.38
Requires:	gssdp >= 1.2.0
Requires:	gupnp >= 1.2.0
# old (non-GI) python binding
Obsoletes:	python-gupnp-igd < 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to handle UPnP Internet Gateway Device port mappings.

%description -l pl.UTF-8
Biblioteka do obsługi odwzorowywania portów IGD (Internet Gateway
Device - bramek internetowych) dla UPnP.

%package devel
Summary:	Header files for gupnp-igd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gupnp-igd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38
Requires:	gssdp-devel >= 1.2.0
Requires:	gupnp-devel >= 1.2.0

%description devel
Header files for gupnp-igd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gupnp-igd.

%package static
Summary:	Static gupnp-igd library
Summary(pl.UTF-8):	Statyczna biblioteka gupnp-igd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp-igd library.

%description static -l pl.UTF-8
Statyczna biblioteka gupnp-igd.

%package apidocs
Summary:	gupnp-igd library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gupnp-igd
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
gupnp-igd library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gupnp-igd.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libgupnp-igd-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-igd-1.0.so.4
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-igd-1.0.so
%{_includedir}/gupnp-igd-1.0
%{_pkgconfigdir}/gupnp-igd-1.0.pc
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-igd-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp-igd
%endif
%changelog
* Mon Sep 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp-igd.git;a=log;h=master

* Mon Sep 20 2021 Jan Rękorajski <baggins@pld-linux.org> 316d454
- Release 2 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> b880aa9
- unconditional noarch subpackages

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> b202f64
- updated to 1.2.0
- removed obsolete gupnp patch

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 1bd3a8a
- release 3 (by relup.sh)

* Wed Apr 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 2bea1de
- added gupnp patch (use gssdp-1.2 and gupnp-1.2); release 2

* Mon Dec 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 4643287
- updated dependencies

* Sun Jan 07 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 85a321d
- Update to 0.2.5

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 014e5bd
- release 3 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> 9a1fc7d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> c10e401
- updated to 0.2.4

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 1f9fcc1
- noarch apidocs

* Sat Feb 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 42cd73f
- updated to 0.2.3

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> ddae6a6
- release 2 (by relup.sh)

* Fri Nov 23 2012 Jakub Bogusz <qboosh@pld-linux.org> f63c780
- updated to 0.2.2

* Fri Nov 18 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fa3cd5d
- updated to 0.2.0 (note: new soname)

* Sat Oct 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> e70fd34
- release 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> b9ab5bf
- updated to 0.1.11
- removed obsolete make patch
- dropped .la (following gupnp)

* Sat Feb 05 2011 Jakub Bogusz <qboosh@pld-linux.org> d0abb0b
- added make patch
- completed runtime deps
- pl

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> b20438a
- release 3

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3aa29bd
- release 2

